Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> Geeklog _CONF[path] Parameter Remote File Include Vulnerability


Vulnerability Assessment Details

Geeklog _CONF[path] Parameter Remote File Include Vulnerability

Vulnerability Assessment Summary
Tries to read a local file using Geeklog

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a PHP application that is prone to a
remote file include attack.

Description :

The remote host is running Geeklog, an open-source weblog powered by
PHP and MySQL.

The version of Geeklog installed on the remote host fails to sanitize
input to the '_CONF[path]' parameter before using it in several
scripts to include PHP code. Provided PHP's 'register_globals'
setting is enabled, an unauthenticated attacker may be able to exploit
these flaws to view arbitrary files on the remote host or to execute
arbitrary PHP code, possibly taken from third-party hosts.

See also :

http://www.milw0rm.com/exploits/1963
http://www.geeklog.net/article.php/so-called-exploit
http://www.geeklog.net/article.php/geeklog-1.4.0sr4

Solution :

Upgrade to Geeklog 1.4.0sr4 or later.

Network Security Threat Level:

Medium / CVSS Base Score : 5.6
(AV:R/AC:H/Au:NR/C:P/I:P/A:P/B:N)

Networks Security ID: 18740

Vulnerability Assessment Copyright: This script is Copyright (C) 2006 Tenable Network Security

Cables, Connectors

Juniper NS-5GT-001 Netscreen-5GT 5-port Firewall Networking Security Appliance
$395.76
Juniper NS-5GT-001 Netscreen-5GT 5-port Firewall Networking Security Appliance pictureJuniper Enhanced SSB with IPII - SSB-E-16-M20 - BRAND NEW
$363.08
Juniper Enhanced SSB with IPII - SSB-E-16-M20 - BRAND NEW pictureJuniper Networks NS-500SP-GB1-AC Netscreen 500SP
$798.78
Juniper Networks NS-500SP-GB1-AC Netscreen 500SP pictureJuniper PE-20C3-SON-MM - BRAND NEW
$395.36
Juniper PE-20C3-SON-MM - BRAND NEW picture


Discussions

No Discussions have been posted on this vulnerability.